package org.academiadecodigo.enuminatti.restuser.services;

import org.academiadecodigo.enuminatti.restuser.models.User;

import java.util.List;

/**
 * MIT License
 * (c) 2017 Ricardo Constantino
 */

public interface UserService {
    void add(User user);

    void remove(int id);

    User findById(int id);

    User findByName(String name);

    List<User> findAll();
}
